### Name: DiffTest
### Title: Difference between patient's scores on two tasks
### Aliases: DiffTest crawford.diff.test DiffBayes
### Keywords: univar htest

### ** Examples

#Both methods can take either raw data or summary measures as arguments
controls <- as.data.frame(matrix(rnorm(50,100,10),ncol=2))
crawford.diff.test(patient=c(95,105), controls)
crawford.diff.test(patient=c(95,105), mean.c=mean(controls), 
        sd.c=sd(controls), r = cor(controls[,1],controls[,2]), 
        n = dim(controls)[1])

#In the case of unstandardized tests, the methods are converging
# Note that the default is unstandardized for crawford.t.test, 
#       and standardized for DiffBayes
controls <- as.data.frame(matrix(rnorm(50,100,10),ncol=2))
X <- crawford.diff.test(patient=c(95,105), controls)
X
X$rarity
DiffBayes(patient=c(95,105), controls=controls,standardized=FALSE)

#In the case of standardized tests, the methods are not converging
#DiffBayes has to be preferred
crawford.diff.test(patient=c(90,110), mean.c=c(100,100), sd.c=c(10,10),
        n=5, r=.6, standardized=TRUE)
DiffBayes(patient=c(90,110), mean.c=c(100,100), sd.c=c(10,10), n=5, r=.6)




